/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreLogicandgrp;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreLogicandgrpRecord extends UpdatableRecordImpl<TCoreLogicandgrpRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_logicandgrp.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_logicandgrp.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_logicandgrp.andgrp</code>. id of
     * logical and group
     */
    public void setAndgrp(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_logicandgrp.andgrp</code>. id of
     * logical and group
     */
    public Integer getAndgrp() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_logicandgrp.fk_orgrp</code>. reference
     * to or group
     */
    public void setFkOrgrp(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_logicandgrp.fk_orgrp</code>. reference
     * to or group
     */
    public Integer getFkOrgrp() {
        return (Integer) get(2);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreLogicandgrpRecord
     */
    public TCoreLogicandgrpRecord() {
        super(TCoreLogicandgrp.T_CORE_LOGICANDGRP);
    }

    /**
     * Create a detached, initialised TCoreLogicandgrpRecord
     */
    public TCoreLogicandgrpRecord(LocalDateTime lastchange, Integer andgrp, Integer fkOrgrp) {
        super(TCoreLogicandgrp.T_CORE_LOGICANDGRP);

        setLastchange(lastchange);
        setAndgrp(andgrp);
        setFkOrgrp(fkOrgrp);
        resetChangedOnNotNull();
    }
}
